# Dixit is Copyright (C) 2004-2013 Octavian Procopiuc.
# Homepage: http://dixit.sourceforge.net
# Contact:  Octavian Procopiuc <oprocopiuc@gmail.com>
#
# Use of this source code is governed by the GPLv3
# license that can be found in the LICENSE.GPL3 file,
# or at <http://www.gnu.org/licenses/gpl.html>.
#
# FILENAME:   dixit.pro
# REVISION:   3
# COMMENTARY: Qt4 project file for Dixit & QDBM

TEMPLATE     = app
LANGUAGE     = C++
TARGET	     = dixit
CONFIG      += qt thread warn_on release
INCLUDEPATH += src/qdbm src/zlib
QT          += network

HEADERS     += src/qdbm/myconf.h src/qdbm/depot.h
HEADERS     += src/dixit.h src/mainwindow.h
SOURCES     += src/qdbm/myconf.c src/qdbm/depot.c
SOURCES	    += src/mainwindow.cpp src/main.cpp
RESOURCES   += src/dixit.qrc

UI_DIR       = tmp/ui
MOC_DIR      = tmp/moc
OBJECTS_DIR  = tmp/obj

macx {
  target.path = /Applications
  INSTALLS += target	
  ICON = images/dixit.icns
  QMAKE_INFO_PLIST = src/Info.plist

  ## tiger 32
  CONFIG += link_prl x86 ppc
  QMAKE_MAC_SDK=/Developer/SDKs/MacOSX10.5.sdk
  QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.5

  ## tiger snow 64
  #CONFIG += link_prl x86_64
  #QMAKE_MAC_SDK=/Developer/SDKs/MacOSX10.6.sdk
  #QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.6
}

unix:!macx {
  target.path = /usr/local/dixit
  INSTALLS += target
  QMAKE_CFLAGS_RELEASE   -= -g -O2
  QMAKE_CFLAGS_RELEASE   += -fomit-frame-pointer -O3
  QMAKE_CXXFLAGS_RELEASE -= -g -O2
  QMAKE_CXXFLAGS_RELEASE += -fomit-frame-pointer -O3
  QMAKE_LFLAGS_RELEASE   -= -g -O2
  QMAKE_LFLAGS_RELEASE   += -fomit-frame-pointer -O3
}

win32 {
  RC_FILE = src/dixit.rc
}

